.node-pure:
  variables:
    project_name: node-pure
    project_path: dockerfiles/langs/node-pure
    ARTIFACTORY_PATH: langs/node-pure
    CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE/node-pure/scan
    AUTO_VERSION: "true"
  only:
    changes:
      - dockerfiles/langs/node-pure/**/*

build:node-pure:
  extends: 
    - .build-docker-image
    - .node-pure
  stage: build_3
  needs: []

scan:node-pure:
  extends: 
    - .container_scanning
    - .node-pure
  needs: ["build:node-pure"]

publish:node-pure:
  extends: 
    - .promote-docker-image
    - .node-pure
